List available customer segments
GET
/cms/customer/segments
const url = 'https://api.example.com/cms/customer/segments';const options = {method: 'GET', headers: {'API-Key': '<API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.example.com/cms/customer/segments \ --header 'API-Key: <API-Key>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”List of segments
Media typeapplication/json
Array<object>
SegmentAPI representation of a customer segment (saved report)
object
id
Segment ID
integer format: int64
name
Segment name
string
Example generated
[ { "id": 1, "name": "example" }]